Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200901-05 ] Streamripper: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1569

PostPosted: Sun Jan 11, 2009 2:26 pm    Post subject: [ GLSA 200901-05 ] Streamripper: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Streamripper: Multiple vulnerabilities (GLSA 200901-05)
Severity: normal
Exploitable: remote
Date: January 11, 2009
Bug(s): #249039
ID: 200901-05

Synopsis

Multiple buffer overflows have been discovered in Streamripper, allowing for user-assisted execution of arbitrary code.

Background

Streamripper is a tool for extracting and recording mp3 files from a Shoutcast stream.

Affected Packages

Package: media-sound/streamripper
Vulnerable: < 1.64.0
Unaffected: >= 1.64.0
Architectures: All supported architectures


Description

Stefan Cornelius from Secunia Research reported multiple buffer overflows in the http_parse_sc_header(), http_get_pls() and http_get_m3u() functions in lib/http.c when parsing overly long HTTP headers, or pls and m3u playlists with overly long entries.

Impact

A remote attacker could entice a user to connect to a malicious server, possibly resulting in the remote execution of arbitrary code with the privileges of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All Streamripper users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-sound/streamripper-1.64.0"


References

CVE-2008-4829
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum